%define amversion 1.12

%define docheck 0
%{?_without_check: %global docheck 0}

Summary:	A GNU tool for automatically creating Makefiles
Name:		automake
Version:	1.12.2
Release:	1
License:	GPLv2+
Group:		Development/Other
Source0:	ftp://ftp.gnu.org/gnu/automake/automake-%{version}.tar.xz
# Adds 'make dist-xz' target, backport from git
URL:		http://sources.redhat.com/automake/
BuildArch:	noarch

Requires:	autoconf
BuildRequires:	autoconf
BuildRequires:	texinfo
Conflicts:	automake1.5
Provides:	automake1.9 = %{version}-%{release}
Obsoletes:	automake1.9
Provides:	automake1.8 = %{version}-%{release}
Obsoletes:	automake1.8
Requires(post):	update-alternatives
Requires(preun): update-alternatives

# tests need these
%if %{docheck}
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	tetex-latex
BuildRequires:	emacs
BuildRequires:	dejagnu
BuildRequires:	gcc-java
BuildRequires:	python
%endif

%description
Automake is a tool for automatically generating Makefiles compliant with
the GNU Coding Standards.

You should install Automake if you are developing software and would like
to use its capabilities of automatically generating GNU standard
Makefiles. If you install Automake, you will also need to install GNU's
Autoconf package.

%prep
%setup -q

%build
# (Abel) config* don't understand noarch-mandriva-linux-gnu arch
%configure2_5x --build=i586-%{_target_vendor}-%{_target_os}%{?_gnu}
%make

%check
%if %{docheck}
# (Abel) reqd2.test tries to make sure automake won't work if ltmain.sh
# is not present. But automake behavior changed, now it can handle missing
# libtool file as well, so this test is bogus.
%__sed -e 's/reqd2.test//g' -i tests/Makefile
%__make check	# VERBOSE=1
%endif

%install
%__rm -rf %{buildroot}
%makeinstall_std

# provide -1.8 symlinks
%__ln_s automake-%{amversion} %{buildroot}%{_bindir}/automake-1.8
%__ln_s aclocal-%{amversion} %{buildroot}%{_bindir}/aclocal-1.8

# provide -1.9 symlinks
%__ln_s automake-%{amversion} %{buildroot}%{_bindir}/automake-1.9
%__ln_s aclocal-%{amversion} %{buildroot}%{_bindir}/aclocal-1.9

# provide -1.11 symlinks
%__ln_s automake-%{amversion} %{buildroot}%{_bindir}/automake-1.11
%__ln_s aclocal-%{amversion} %{buildroot}%{_bindir}/aclocal-1.11

%__rm -f %{buildroot}/%{_infodir}/*
%__install -m 644 doc/%{name}.info* %{buildroot}/%{_infodir}/

%__mkdir_p %{buildroot}%{_datadir}/aclocal

%clean
%__rm -rf %{buildroot}

%pre
if [ "$1" = 1 ]; then
  update-alternatives --remove automake %{_bindir}/automake-1.8
  update-alternatives --remove automake %{_bindir}/automake-1.9
  update-alternatives --remove automake %{_bindir}/automake-1.11
fi

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README THANKS
%{_bindir}/automake
%{_bindir}/aclocal
%{_bindir}/automake-%{amversion}
%{_bindir}/aclocal-%{amversion}
%{_bindir}/automake-1.8
%{_bindir}/aclocal-1.8
%{_bindir}/automake-1.9
%{_bindir}/aclocal-1.9
%{_bindir}/automake-1.11
%{_bindir}/aclocal-1.11
%{_datadir}/automake*
%{_infodir}/automake*
%{_datadir}/aclocal*
%{_mandir}/man1/aclocal-1.12*
%{_mandir}/man1/aclocal.1*
%{_mandir}/man1/automake-1.12*
%{_mandir}/man1/automake.1*


%changelog
* Thu Jul 12 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1.12.2-1
+ Revision: 808964
- Update to 1.12.2

* Sun Jun 03 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1.12.1-1
+ Revision: 802167
- Update to 1.12.1

* Fri Apr 27 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1.12-1
+ Revision: 793944
- Update to 1.12

* Sat Apr 14 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1.11.5-1
+ Revision: 790967
- Update to 1.11.5

* Tue Apr 03 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1.11.4-1
+ Revision: 789044
- Update to 1.11.4
- Fix build in current environment (rpmlint)

* Mon Feb 13 2012 Andrey Bondrov <abondrov@mandriva.org> 1.11.3-1
+ Revision: 773760
- New version 1.11.3, drop BuildRoot definition from spec

* Mon Jan 09 2012 Andrey Bondrov <abondrov@mandriva.org> 1.11.2-1
+ Revision: 758764
- New version 1.11.2

* Mon May 02 2011 Oden Eriksson <oeriksson@mandriva.com> 1.11.1-3
+ Revision: 662898
- mass rebuild

* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.11.1-2mdv2011.0
+ Revision: 603484
- rebuild

* Wed Dec 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.11.1-1mdv2010.1
+ Revision: 475202
- 1.11.1

* Mon May 18 2009 Frederik Himpe <fhimpe@mandriva.org> 1.11-2mdv2010.0
+ Revision: 377328
- Update to new version 1.11
- Remove xz patch (integrated upstream)

* Thu Feb 26 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.10.2-2mdv2009.1
+ Revision: 345225
- sed is lighter and all and preferred over perl :o)
- add 'make dist-xz' target (P0, backported from git)

  + Funda Wang <fwang@mandriva.org>
    - fix license

* Thu Nov 27 2008 Funda Wang <fwang@mandriva.org> 1.10.2-1mdv2009.1
+ Revision: 307192
- New version 1.10.2

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.10.1-2mdv2009.0
+ Revision: 220472
- rebuild

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - use %%doc for docs
    - drop COPYING as license is shipped with common-licenses..

* Thu Jan 31 2008 Funda Wang <fwang@mandriva.org> 1.10.1-1mdv2008.1
+ Revision: 160778
- New version 1.10.1

* Thu Jan 10 2008 David Walluck <walluck@mandriva.org> 1.10-5mdv2008.1
+ Revision: 147466
- rebuild

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 16 2007 Thierry Vignaud <tv@mandriva.org> 1.10-4mdv2008.1
+ Revision: 87531
- s/Mandrake/Mandriva/
- kill update-alternative file require
- kill file require on info-install

  + Helio Chissini de Castro <helio@mandriva.com>
    - Simlink for 1.9

* Thu Jun 21 2007 Olivier Thauvin <nanardon@mandriva.org> 1.10-2mdv2008.0
+ Revision: 42320
- fix platform tag

* Wed Jun 13 2007 Christiaan Welvaart <spturtle@mandriva.org> 1.10-1mdv2008.0
+ Revision: 38651
- copy doc files in %%install
- remove old specfile code
- 1.10
- dropped patch0 - this is the only package providing 'automake' and 'aclocal'
- include automake and aclocal symlinks in the package, no more alternatives
- rename package to automake
- rename automake1.8 package to automake

